/* Method that checks if a two-dimensional array is a regular or irregular array
*  Anderson, Franceschi
*/

public class CheckRegularity
{
  public static void main( String [] args )
  {
    float [][] numbers = { { 1.1f, 1.1f, 1.1f }, { 2.2f, 2.2f, 2.2f, 2.2f } };
    System.out.println( "Array status of numbers: " + arrayRegularity( numbers ) );

    float [][] temperatures = new float[7][52];
    System.out.println( "Array status of temperatures: " + arrayRegularity( temperatures ) );
  }

  public static String arrayRegularity( float [][] array )
  {
    for ( int i = 1; i < array.length; i++ )
    {
      if ( array[i].length != array[0].length )
        return "irregular";
    }
    return "regular";
  }
}